<?php
/******************************************************************************/
/* PDF Catalogs v.0.95 for Zen-Cart 1.2.xd             */
/* by James Greenhalgh (jgreenhalgh@opendoorsoftware.com), May 2004           */
/* Based on:                                        */
/*                        */
/* PDF Catalogs v.1.51 for osCommerce v.2.2 MS2                               */
/*                              */
/* by Antonios THROUVALAS (antonios@throuvalas.net), April 2004               */
/*                                                                            */
/* Based on PDF Catalogs v.1.4 by gurvan.riou@laposte.net                     */
/*                                                            */
/* Uses FPDF (http://www.fpdf.org), Version 1.53, by Olivier PLATHEY          */
/*                                                                            */
/* Credit goes also to:                                                       */
/* - Yamasoft (http://www.yamasoft.com/php-gif.zip) for their GIF class,      */
/* - Jerome FENAL (jerome.fenal@logicacmg.com) for introducing GIF Support    */
/*   in the FPDF Class,                                                       */
/* - The osC forums members (forums.oscommerce.com)!                          */
/*                                                                            */
/*                                                                            */
/* Freeware, You may use, modify and redistribute this software as you wish!  */
/******************************************************************************/

define('FPDF_FONTPATH','font/');
require('pdf_config.php');
require('pdf_fpdf.php');
require('includes/application_top.php');

class PDF extends FPDF
{
//Colonne courante
var $col=0;
//Ordonn�e du d�but des colonnes
var $y0;

var $categories_string_spe = '';
var $categories_string = '';
var $categories_id = '';
var $levels = '';

var $parent_category_name;

 function Header()
 {
  //Background Color
  $background_color_table=explode(",",BACKGROUND_COLOR);
    $this->SetFillColor($background_color_table[0], $background_color_table[1], $background_color_table[2]);
  $this->Rect(0,0,210,300,F); // Draw background

  //Logo: If LOGO_IMAGE defined, show image with logo, else show text
  if (PDF_LOGO) {
     $this->Image(DIR_FS_CATALOG.DIR_WS_IMAGES.PDF_LOGO,10,8,100,0);
  } else {
     $this->SetFont('Arial','B',15);
   $this->SetLineWidth(0.2);
     $w=$this->GetStringWidth(PDF_TITLE)+6;
     //$this->SetX((210-$w)/2);
   $this->SetFillColor(100,100,100);
     $this->Cell($w,9,PDF_TITLE,1,0,'C');
  }
  //Ann�e en cour
  $aujourdhui = getdate();
  $annee = $aujourdhui['year'];
  $this->SetFont('Arial','B',12);
  $this->Cell(0,9,$annee,0,1,'R');
  if (PDF_LOGO) {
     $this->Ln(20);
  } else {
    $this->Ln(2);
  }
  $x=$this->GetX();
  $y=$this->GetY();
  $this->Line($x,$y,200,$y);
  $this->Ln(2);
    //Sauvegarde de l'ordonn�e
    $this->y0=$this->GetY();
 }

 function Footer()
 {
    //Pied de page
    $this->SetY(-15);
  $x=$this->GetX();
  $y=$this->GetY();
  $this->SetLineWidth(0.2);
  $this->Line($x,$y,200,$y);
    $this->SetFont('Arial','I',8);
    $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'R');
 }

 function CheckPageBreak($h)
 {
  //Si la hauteur h provoque un d�bordement, saut de page manuel
  if($this->GetY()+$h>$this->PageBreakTrigger)
    $this->AddPage($this->CurOrientation);
 }

 function NbLines($w,$txt)
 {
  //Calcule le nombre de lignes qu'occupe un MultiCell de largeur w
  $cw=&$this->CurrentFont['cw'];
  if($w==0)
    $w=$this->w-$this->rMargin-$this->x;
  $wmax=($w-2*$this->cMargin)*1000/$this->FontSize;
  $s=str_replace("\r",'',$txt);
  $nb=strlen($s);
  if($nb>0 and $s[$nb-1]=="\n")
    $nb--;
  $sep=-1;
  $i=0;
  $j=0;
  $l=0;
  $nl=1;
  while($i<$nb)
  {
    $c=$s[$i];
    if($c=="\n")
    {
      $i++;
      $sep=-1;
      $j=$i;
      $l=0;
      $nl++;
      continue;
    }
    if($c==' ')
      $sep=$i;
    $l+=$cw[$c];
    if($l>$wmax)
    {
      if($sep==-1)
      {
        if($i==$j)
          $i++;
      }
      else
        $i=$sep+1;
      $sep=-1;
      $j=$i;
      $l=0;
      $nl++;
    }
    else
      $i++;
  }
  return $nl;
 }

 function LineString($x,$y,$txt,$cellheight)
 {
    //calculate the width of the string
    $stringwidth=$this->GetStringWidth($txt);

    //calculate the width of an alpha/numerical char
    $numberswidth=$this->GetStringWidth('1');

    $xpos=($x+$numberswidth);

      $ypos=($y+($cellheight/2));

    $this->Line($xpos,$ypos,($xpos+$stringwidth),$ypos);
 }

function ShowImage(&$width,&$height,$link,$path)
{

  $width=min($width,MAX_IMAGE_WIDTH);
  $height=min($height,MAX_IMAGE_HEIGHT);

  if(RESIZE_IMAGES)
  {
    $destination =DIR_FS_CATALOG."pdfcatalogue/";


      if(substr(strtolower($path), (strlen($path)-4),4)==".jpg" || substr(strtolower($path), (strlen($path)-5),5)==".jpeg")
      {
          $src=imagecreatefromjpeg($path);
      }
    else if(substr(strtolower($path), (strlen($path)-4),4)==".png")
      {
          $src=imagecreatefrompng($path);
      }
      else
      {
          echo "Only PNG and JPEG";
          exit();
      }

      $array=explode("/", $path);
      $last=sizeof($array);

      $size = getimagesize($path);
      if($size[0] > $size[1])
      {
        $im=imagecreate($width/PDF_TO_MM_FACTOR, $height/PDF_TO_MM_FACTOR);
        imagecopyresized($im, $src, 0, 0, 0, 0,$width/PDF_TO_MM_FACTOR, $height/PDF_TO_MM_FACTOR, $size[0], $size[1]);
      }
      else
      {
        $im=imagecreate($height/PDF_TO_MM_FACTOR,$width/PDF_TO_MM_FACTOR);
        imagecopyresized($im, $src, 0, 0, 0, 0, $height/PDF_TO_MM_FACTOR, $width/PDF_TO_MM_FACTOR, $size[0], $size[1]);
      }
       if(!imagejpeg($im, $destination.$array[$last-1]))
      {
          exit();
      }

    $path=$destination.$array[$last-1];

    $this->SetLineWidth(1);
    $this->Cell($width,$height,"",1,0);
    $this->SetLineWidth(0.2);
    $this->Image($path,($this->GetX()-$width), $this->GetY(), $width, $height,'',$link);
    $this->SetFont('Arial','',8);

    unlink($path);

  }
  else
  {
    $this->SetLineWidth(1);
    $this->Cell($width,$height,"",1,0);
    $this->SetLineWidth(0.2);
    $this->Image($path,($this->GetX()-$width), $this->GetY(), $width, $height,'',$link);
    $this->SetFont('Arial','',8);
  }
}

 function CountProductsInCategory($category_id, $include_inactive = false)
 {
  global $db;
    $products_count = 0;
    if ($include_inactive)
  {
       $products = $db->Execute("select * from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c where p.products_id = p2c.products_id and p2c.categories_id = '" . $category_id . "'");
    }
  else
  {
      $products = $db->Execute("select * from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c where p.products_id = p2c.products_id and p.products_status = 1 and p2c.categories_id = '" . $category_id . "'");
    }
     while(!$products->EOF) {
           $products_count += 1;
               $products->MoveNext();
      }

    if (USE_RECURSIVE_COUNT)
  {
      $child_categories = $db->Execute("select categories_id from " . TABLE_CATEGORIES . " where parent_id = '" . $category_id . "'");
         while (!$child_categories->EOF)
        {
        $products_count += $this->CountProductsInCategory($child_categories->fields['categories_id'], $include_inactive);
                $child_categories->MoveNext();
      }
    }

    return $products_count;
 }

//Rangement de l'arbre (Level est le niveau de sous-categorie)
 function Order($cid, $level, $foo, $cpath)
 {
    if ($cid != 0)
  {
    if($level>1)
    {
        $nbspaces=7;

      $dessinrep="|___ ";
      //j'inverse le dessin
      $revstring = strrev($dessinrep);
      //je lui ajoute nbspace pour chaque niveau de sous-repertoire
        $revstring .= str_repeat(" ",$nbspaces*($level-2));
      //je r�inverse la chaine
          $this->categories_string_spe .= strrev($revstring);
    }
    $this->levels .=$level." ";
    $this->categories_id .= $cid." ";
    $this->categories_string .= $foo[$cid]['name'];
      $this->categories_string_spe .=  $foo[$cid]['name'];

      if (SHOW_COUNTS)
    {
        $products_in_category = $this->CountProductsInCategory($cid);
        if ($products_in_category > 0)
    {
          $this->categories_string_spe .= ' (' . $products_in_category . ')';
        }
      }
    $this->categories_string .= "\n";
      $this->categories_string_spe .= "\n";

    }
  //Parcourir l'arbre des categories (lecture de la table de hachage comme en Perl)
    foreach ($foo as $key => $value)
  {
      if ($foo[$key]['parent'] == $cid)
    {
        $this->Order($key, $level+1, $foo, $cid);
      }
    }
 }

 function ParentsName($current_category_level,$i,&$categorieslevelsarray, &$categoriesnamearray)
 {

       $k=$i;
      while($k>0)
      {
        if($categorieslevelsarray[$k] == ($current_category_level-1))
        {
          $this->$parent_category_name=$categoriesnamearray[$k];
          break;
        }

        $k--;
      }
 }

 function CalculatedSpace($y1,$y2,$imageheight)
 {
  //Si les commentaires sont - importants que l'image au niveau de l'espace d'affichage
  if(($h2=$y2-$y1) < $imageheight)
  {
      $this->Ln(($imageheight-$h2)+3);
  }
  else
  {
            $this->Ln(3);
  }
 }

 function DrawCells($data_array)
 {
   $totallines=0;


   for($i=2;$i<(sizeof($data_array)-1);$i++)
   {
    $totallines+=$this->NbLines((180-$data_array[0]),$data_array[$i]);
   }

   //5 = hauteur des cellules
   $h=5*$totallines."<br>";

   //si la description du produit ne prend pas toute la page
   if($h<260)
   {
    $this->CheckPageBreak($h);
   }


   if(SHOW_PRODUCTS_LINKS)
   {
          $link=HTTP_CATALOG_SERVER.DIR_WS_CATALOG."index.php?main_page=product_info&products_id=".$data_array[10]."&language=".$data_array[11];
   }
   else
   {
     $link='';
   }

   if(SHOW_IMAGES && strlen($data_array[12])&& (strlen(strrchr($data_array[12], "/"))>1) && !strstr($data_array[12],'.gif'))
   {
    //If Small Image Width and Small Image Height are defined
    if(strlen($data_array[0])>1 && strlen($data_array[1])>1)
    {
      $this->ShowImage($data_array[0],$data_array[1],$link,$data_array[12]);
      $y1=$this->GetY();
    }
      //If only Small Image Width is defined
    else if(strlen($data_array[0])>1 && strlen($data_array[1]))
    {
      $heightwidth=getimagesize($data_array[12]);
      $data_array[0]=$data_array[0];
      $data_array[1]=$heightwidth[1]*PDF_TO_MM_FACTOR;

      $this->ShowImage($data_array[0],$data_array[1],$link,$data_array[12]);
      $y1=$this->GetY();
    }
    //If only Small Image Height is defined
    else if(strlen($data_array[0]) && strlen($data_array[1])>1)
    {
      $heightwidth=getimagesize($data_array[12]);
      $data_array[0]=$width=$heightwidth[0]*PDF_TO_MM_FACTOR;
      $data_array[1]=$data_array[1];

      $this->ShowImage($data_array[0],$data_array[1],$link,$data_array[12]);
      $y1=$this->GetY();
    }
    else
    {
      $heightwidth=getimagesize($data_array[12]);
      $data_array[0]=$heightwidth[0]*PDF_TO_MM_FACTOR;
        $data_array[1]=$heightwidth[1]*PDF_TO_MM_FACTOR;

      $this->ShowImage($data_array[0],$data_array[1],$link,$data_array[12]);
      $y1=$this->GetY();
    }

    //Margin=10
    $this->SetX(10);
  }
  else
  {
    $data_array[0]=$data_array[1]=0;
    $y1=$this->GetY();
    $this->SetFont('Arial','',8);
  }

   if(SHOW_MODEL)
   {
    if(strlen($data_array[2]))
    {
      $this->Cell($data_array[0]+3,5,"",0,0);
      $this->MultiCell(180-$data_array[0],5,$data_array[2],1,'L');
    }
   }
   if(SHOW_NAME)
   {
    if(strlen($data_array[3]))
    {
      $this->Cell($data_array[0]+3,5,"",0,0);
      $this->MultiCell(180-$data_array[0],5,$data_array[3],1,'L');
    }
   }
   if(SHOW_DATE_ADDED)
   {
    if(strlen($data_array[4]))
    {
        $this->Cell($data_array[0]+3,5,"",0,0);
      $this->MultiCell(180-$data_array[0],5,$data_array[4],1,'L');
    }
   }
   if(SHOW_MANUFACTURER)
   {
    if(strlen($data_array[5]))
    {
      $this->Cell($data_array[0]+3,5,"",0,0);
      $this->MultiCell(180-$data_array[0],5,$data_array[5],1,'L');
    }
   }
   if(SHOW_DESCRIPTION)
   {
    if(strlen($data_array[6]))
    {
      $this->Cell($data_array[0]+3,5,"",0,0);
      $this->MultiCell(180-$data_array[0],5,$data_array[6],1,'L');
    }
   }
   if(SHOW_TAX_CLASS_ID)
   {
    if(strlen($data_array[7]))
    {
        $this->Cell($data_array[0]+3,5,"",0,0);
      $this->MultiCell(180-$data_array[0],5,$data_array[7],1,'L');
    }

   }
   if(VAT)
   {
    $vatprice=sprintf("%01.".DIGITS_AFTER_DOT."f",((VAT/100)*$data_array[9])+$data_array[9]);
    $vatspecialsprice=sprintf("%01.".DIGITS_AFTER_DOT."f",((VAT/100)*$data_array[8])+$data_array[8]);
   }
   else
   {
    $vatprice=sprintf("%01.".DIGITS_AFTER_DOT."f",$data_array[9]);
    $vatspecialsprice=sprintf("%01.".DIGITS_AFTER_DOT."f",$data_array[8]);
   }
   if(SHOW_PRICES)
   {
    if(strlen($data_array[8])) //If special price
    {
      $this->Cell($data_array[0]+3,5,"",0,0);

      $x=$this->GetX();
      $y=$this->GetY();

      $specials_price_color_table=explode(",",SPECIALS_PRICE_COLOR);
        $this->SetFillColor($specials_price_color_table[0],$specials_price_color_table[1],$specials_price_color_table[2]);

      if(CURRENCY_RIGHT_OR_LEFT == 'R')
      {
        $this->MultiCell(180-$data_array[0],5,$vatprice.DEFAULT_CURRENCY."\t\t\t".$vatspecialsprice.DEFAULT_CURRENCY,1,'L',1);
      }
      else if(CURRENCY_RIGHT_OR_LEFT == 'L')
      {
          $this->MultiCell(180-$data_array[0],5,DEFAULT_CURRENCY.$vatprice."\t\t\t".DEFAULT_CURRENCY.$vatspecialsprice,1,'L',1);
      }
      else
      {
        echo "<b>Choose L or R for CURRENCY_RIGHT_OR_LEFT</b>";
        exit();
      }
      $this->LineString($x,$y,$vatprice,5);

    }
    else if(strlen($data_array[9]))
    {
      $this->Cell($data_array[0]+3,5,"",0,0);
      if(CURRENCY_RIGHT_OR_LEFT == 'R')
      {
        $this->MultiCell(180-$data_array[0],5,$vatprice.DEFAULT_CURRENCY,1,'L');
      }
      else if(CURRENCY_RIGHT_OR_LEFT == 'L')
      {
        $this->MultiCell(180-$data_array[0],5,DEFAULT_CURRENCY.$vatprice,1,'L');
      }
      else
      {
        echo "<b>Choose L or R for CURRENCY_RIGHT_OR_LEFT</b>";
        exit();
      }
    }
   }

   $y2=$this->GetY();

   //si la description du produit ne prend pas toute la page
   if($h<260)
   {
     $this->CalculatedSpace($y1,$y2,$data_array[1]);
   }
   else
   {
    $this->Ln(3);
   }

 }

 function CategoriesTree($languages_id)
 {
  global $db;
  //selectionne toute les categories
  $query = "SELECT c.categories_id, cd.categories_name, c.parent_id
              FROM " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd
              WHERE c.categories_id = cd.categories_id and cd.language_id='" . $languages_id ."'
          ORDER by sort_order, cd.categories_name";
  $categories = $db->Execute($query);

      while (!$categories->EOF) {
       $foo[$categories->fields['categories_id']] = array(
                                                                                            'name' => $categories->fields['categories_name'],
                                                                                            'parent' => $categories->fields['parent_id'] );
       $categories->MoveNext();
  }

  $this->Order(0, 0, $foo, '');
  $this->AddPage();
  $this->TitreChapitre("");
  $this->Ln(10);
  $this->SetFont('Arial','',DIRECTORIES_TREE_FONT_SIZE);
  $this->MultiCell(0,6,$this->categories_string_spe,0,1,'L');


 }

 function CategoriesListing($languages_id, $languages_code)
 {
  global $db;
   //Recuperation de toutes les categories dans l'ordre
   $categoriesidarray=explode(" ",$this->categories_id);
   $categoriesnamearray=explode("\n",$this->categories_string);
   $categorieslevelsarray=explode(" ",$this->levels);


    //Convertion pixels -> mm
    $imagewidth=SMALL_IMAGE_WIDTH*PDF_TO_MM_FACTOR;
    $imageheight=SMALL_IMAGE_HEIGHT*PDF_TO_MM_FACTOR;


   for($i=0; $i<sizeof($categoriesidarray)-1; $i++)
   {
    $taille=0;
      $current_category_id=$categoriesidarray[$i];
    $current_category_name=$categoriesnamearray[$i];
    $current_category_level=$categorieslevelsarray[$i];


      $requete_prod="select p.products_id, pd.products_name, pd.products_description, p.products_image, p.products_model, p.products_price, p.products_tax_class_id, IF(s.status, s.specials_new_products_price, NULL) as specials_new_products_price, p.products_date_added, m.manufacturers_name from (" . TABLE_PRODUCTS . " p left join " . TABLE_MANUFACTURERS . " m on p.manufacturers_id = m.manufacturers_id, " . TABLE_PRODUCTS_DESCRIPTION . " pd) left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id, " . TABLE_CATEGORIES . " c, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c where products_status = '1' and p.products_id = pd.products_id and pd.language_id = '" . $languages_id . "' and p.products_id = p2c.products_id and p2c.categories_id = c.categories_id and p2c.categories_id='".$current_category_id."' order by p.products_date_added DESC, pd.products_name";

    $print_catalog = $db->Execute($requete_prod);

    while (!$print_catalog->EOF)
    {
      if (USE_UPLOAD_RESIZE) {
        $print_catalog->fields['products_image']  = ereg_replace(".jpg","_SMALL.jpg", $print_catalog->fields['products_image']);
      }
         $print_catalog_array[$taille++] = array(
                                                                                                               'id' => $print_catalog->fields['products_id'],
                                                                               'name' => $print_catalog->fields['products_name'],
                                                                               'description' => $print_catalog->fields['products_description'],
                                                                               'model' => $print_catalog->fields['products_model'],
                                                                               'image' => $print_catalog->fields['products_image'],
                                                                               'price' => $print_catalog->fields['products_price'],
                                                                               'specials_price' => $print_catalog->fields['specials_new_products_price'],
                                                                               'tax_class_id' => $print_catalog->fields['products_tax_class_id'],
                                                                               'date_added' => zen_date_long($print_catalog->fields['products_date_added']),
                                                                               'manufacturer' => $print_catalog->fields['manufacturers_name']
                                                                                                         );
               $print_catalog->MoveNext();
       }



     //recherche le nom de la categorie pere
    $this->$parent_category_name='';
    $this->ParentsName($current_category_level,$i,$categorieslevelsarray, $categoriesnamearray);


     if($current_category_level == 1)
     {
      $this->AddPage();
      $this->Ln(120);
      $this->SetFont('Arial','',12);
      $titles_color_table=explode(",",CENTER_TITLES_CELL_COLOR);
      $this->SetFillColor($titles_color_table[0], $titles_color_table[1], $titles_color_table[2]);
      $this->Cell(45,5,"",0,0);
      $this->MultiCell(100,10,$current_category_name,1,'C',1);
     }

     if($taille>0)
     {

        $this->AddPage();
        $this->TitreChapitre($this->$parent_category_name." ---> ".$current_category_name);
          $this->Ln(10);
          $this->SetFont('Arial','',11);


        for($j=0; $j<$taille; $j++ )
        {
          $imagepath=DIR_FS_CATALOG.DIR_WS_IMAGES.$print_catalog_array[$j]['image'];

          $id=$print_catalog_array[$j]['id'];
          $name=rtrim(strip_tags($print_catalog_array[$j]['name']));
          $model=rtrim(strip_tags($print_catalog_array[$j]['model']));
          $description=rtrim(strip_tags($print_catalog_array[$j]['description']));
          $manufacturer=rtrim(strip_tags($print_catalog_array[$j]['manufacturer']));
          $price=rtrim(strip_tags($print_catalog_array[$j]['price']));
          $specials_price=rtrim(strip_tags($print_catalog_array[$j]['specials_price']));
          $tax_class_id=rtrim(strip_tags($print_catalog_array[$j]['tax_class_id']));
          $date_added=rtrim(strip_tags($print_catalog_array[$j]['date_added']));


          $data_array=array($imagewidth,$imageheight,$model,$name,$date_added,$manufacturer,$description,$tax_class_id,$specials_price,$price,$id,$languages_code,$imagepath);

          $this->DrawCells($data_array);


        }
    }

   }
 }

 function NewProducts($languages_id, $languages_code)
 {
  global $db;
     $products_new_query_raw = "select p.products_id, pd.products_name, pd.products_description, p.products_image, p.products_model, p.products_price, p.products_tax_class_id, IF(s.status, s.specials_new_products_price, NULL) as specials_new_products_price, p.products_date_added, m.manufacturers_name from (" . TABLE_PRODUCTS . " p left join " . TABLE_MANUFACTURERS . " m on p.manufacturers_id = m.manufacturers_id, " . TABLE_PRODUCTS_DESCRIPTION . " pd) left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id, " . TABLE_CATEGORIES . " c, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c where products_status = '1' and p.products_id = pd.products_id and p.products_id = p2c.products_id and p2c.categories_id = c.categories_id AND p.products_image IS NOT NULL order by p.products_date_added DESC, pd.products_name";
           $products_new = $db->Execute($products_new_query_raw);
while(!$products_new->EOF)
 {
      if (USE_UPLOAD_RESIZE) {
        $products_new->fields['products_image']  = ereg_replace(".jpg","_SMALL.jpg", $products_new->fields['products_image']);
      }
       $products_new_array[] = array('id' => $products_new->fields['products_id'],
                                   'name' => $products_new->fields['products_name'],
                                   'image' => $products_new->fields['products_image'],
                                                                 'description' => $products_new->fields['products_description'],
                                                                 'model' => $products_new->fields['products_model'],
                                   'price' => $products_new->fields['products_price'],
                                   'specials_price' => $products_new->fields['specials_new_products_price'],
                                   'tax_class_id' => $products_new->fields['products_tax_class_id'],
                                   'date_added' => zen_date_long($products_new->fields['products_date_added']),
                                   'manufacturer' => $products_new->fields['manufacturers_name']);
  $products_new->MoveNext();
   }

  $this->AddPage();
  $this->Ln(120);
  $this->SetFont('Arial','',12);
  $new_color_table=explode(",",NEW_CELL_COLOR);
    $this->SetFillColor($new_color_table[0], $new_color_table[1], $new_color_table[2]);
  $this->Cell(45,5,"",0,0);
  $this->MultiCell(100,10,NEW_TITLE,1,'C',1);
  $this->Ln(100);

  //Convertion pixels -> mm
  $imagewidth=SMALL_IMAGE_WIDTH*PDF_TO_MM_FACTOR;
  $imageheight=SMALL_IMAGE_HEIGHT*PDF_TO_MM_FACTOR;

  for($nb=0; $nb<MAX_DISPLAY_PRODUCTS_NEW; $nb++)
  {

      $id=$products_new_array[$nb]['id'];
      $name=rtrim(strip_tags($products_new_array[$nb]['name']));
      $model=rtrim(strip_tags($products_new_array[$nb]['model']));
      $description=rtrim(strip_tags($products_new_array[$nb]['description']));
        $manufacturer=rtrim(strip_tags($products_new_array[$nb]['manufacturer']));
      $price=rtrim(strip_tags($products_new_array[$nb]['price']));
      $specials_price=rtrim(strip_tags($products_new_array[$nb]['specials_price']));
      $tax_class_id=rtrim(strip_tags($products_new_array[$nb]['tax_class_id']));
      $date_added=rtrim(strip_tags($products_new_array[$nb]['date_added']));

      $imagepath=DIR_FS_CATALOG.DIR_WS_IMAGES.$products_new_array[$nb]['image'];

      $data_array=array($imagewidth,$imageheight,$model,$name,$date_added,$manufacturer,$description,$tax_class_id,$specials_price,$price,$id,$languages_code,$imagepath);



      $this->DrawCells($data_array);

    }
 }

 function TitreChapitre($lib)
 {
    //Titre
    $this->SetFont('Arial','',12);
    $titles_color_table=explode(",",HIGHT_TITLES_CELL_COLOR);
    $this->SetFillColor($titles_color_table[0], $titles_color_table[1], $titles_color_table[2]);
    $this->Cell(0,6,$lib,0,1,'L',1);
    $this->Ln(4);
    //Sauvegarde de l'ordonn�e
    $this->y0=$this->GetY();
 }
}

$languages = zen_get_languages();

$languages_string = '';
for ($i=0; $i<sizeof($languages); $i++) {
  $pdf=new PDF();
  $pdf->Open();
  $pdf->SetDisplayMode("real");
  $pdf->AliasNbPages();
  if(SHOW_NEW_PRODUCTS)
  {
    $pdf->NewProducts($languages[$i]['id'],$languages[$i]['code']);
  }
  $pdf->CategoriesTree($languages[$i]['id']);
  $pdf->CategoriesListing($languages[$i]['id'],$languages[$i]['code']);
  $pdf->Output(DIR_FS_CATALOG . DIR_WS_PDF_CATALOGS . PDF_FILENAME . "_" . $languages[$i]['id'].".pdf",false);
}
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="includes/cssjsmenuhover.css" media="all" id="hoverJS">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script type="text/javascript">
  <!--
  function init()
  {
    cssjsmenu('navbar');
    if (document.getElementById)
    {
      var kill = document.getElementById('hoverJS');
      kill.disabled = true;
    }
  }
  // -->
</script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="init()">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top">
    <table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
      </table>
    </td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td>
      <table border="0" width="100%" cellspacing="0" cellpadding="0">
            <tr>
              <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
              <td class="pageHeading" align="right"><?php echo zen_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
            </tr>
          </table>
      </td>
      </tr>
    <tr>
      <td>
      <table>
        <tr>
        <td class="smallText">
        <font color=red><? echo "" . $i . " </font>" . PDF_GENERATED; ?>
        </td>
      </tr>
      </table>
        </td>
     </tr>
   </table>
    </td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
